FastCommonAccessLogValve (Tomcat API Documentation)
Keywords: org.apache.catalina.valves.FastCommonAccessLogValve class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.valves
Class FastCommonAccessLogValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.valves.AccessLogValve
              org.apache.catalina.valves.FastCommonAccessLogValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, Contained, Lifecycle, Valve

Deprecated.

    public final class FastCommonAccessLogValve

extends AccessLogValve

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.catalina.valves.AccessLogValve
`AccessLogValve.AccessLogElement, AccessLogValve.ByteSentElement, AccessLogValve.CookieElement, AccessLogValve.DateAndTimeElement, AccessLogValve.ElapsedTimeElement, AccessLogValve.HeaderElement, AccessLogValve.HostElement, AccessLogValve.HttpStatusCodeElement, AccessLogValve.LocalAddrElement, AccessLogValve.LocalPortElement, AccessLogValve.LocalServerNameElement, AccessLogValve.LogicalUserNameElement, AccessLogValve.MethodElement, AccessLogValve.ProtocolElement, AccessLogValve.QueryElement, AccessLogValve.RemoteAddrElement, AccessLogValve.RequestAttributeElement, AccessLogValve.RequestElement, AccessLogValve.RequestURIElement, AccessLogValve.ResponseHeaderElement, AccessLogValve.SessionAttributeElement, AccessLogValve.SessionIdElement, AccessLogValve.StringElement, AccessLogValve.ThreadNameElement, AccessLogValve.UserElement`

Field Summary

Fields inherited from class org.apache.catalina.valves.AccessLogValve
`condition, currentLogFile, enabled, fileDateFormat, fileDateFormatter, info, lifecycle, logElements, months, pattern, prefix, rotatable, sm, started, suffix, writer`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, mserver, next, oname`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`FastCommonAccessLogValve()` Deprecated.

Method Summary

Methods inherited from class org.apache.catalina.valves.AccessLogValve
`addLifecycleListener, backgroundProcess, createLogElements, findLifecycleListeners, getCondition, getDirectory, getEnabled, getFileDateFormat, getInfo, getPattern, getPrefix, getSuffix, invoke, isBuffered, isCheckExists, isResolveHosts, isRotatable, log, open, removeLifecycleListener, rotate, setBuffered, setCheckExists, setCondition, setDirectory, setEnabled, setFileDateFormat, setPattern, setPrefix, setResolveHosts, setRotatable, setSuffix, start, stop`

Methods inherited from class org.apache.catalina.valves.ValveBase
`createObjectName, event, getContainer, getContainerName, getController, getDomain, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FastCommonAccessLogValve

    public FastCommonAccessLogValve()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.